Bug 1712973 - [abrt] xfce4-settings: convert_xfce_output_info(): xfce4-display-settings killed by SIGSEGV
Summary: [abrt] xfce4-settings: convert_xfce_output_info(): xfce4-display-settings kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-settings
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a919c5eb7a97be22b223aacedc3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-22 15:25 UTC by Mauricio Kilikrates Alexandrino Nicolia dos Anjos
Modified: 2020-05-26 16:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:42:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (24.91 KB, text/plain)
2019-05-22 15:25 UTC, Mauricio Kilikrates Alexandrino Nicolia dos Anjos
no flags Details
File: cgroup (331 bytes, text/plain)
2019-05-22 15:25 UTC, Mauricio Kilikrates Alexandrino Nicolia dos Anjos
no flags Details
File: core_backtrace (8.41 KB, text/plain)
2019-05-22 15:25 UTC, Mauricio Kilikrates Alexandrino Nicolia dos Anjos
no flags Details
File: cpuinfo (1.49 KB, text/plain)
2019-05-22 15:25 UTC, Mauricio Kilikrates Alexandrino Nicolia dos Anjos
no flags Details
File: dso_list (8.09 KB, text/plain)
2019-05-22 15:25 UTC, Mauricio Kilikrates Alexandrino Nicolia dos Anjos
no flags Details
File: environ (1.58 KB, text/plain)
2019-05-22 15:25 UTC, Mauricio Kilikrates Alexandrino Nicolia dos Anjos
no flags Details
File: exploitable (82 bytes, text/plain)
2019-05-22 15:25 UTC, Mauricio Kilikrates Alexandrino Nicolia dos Anjos
no flags Details
File: limits (1.29 KB, text/plain)
2019-05-22 15:25 UTC, Mauricio Kilikrates Alexandrino Nicolia dos Anjos
no flags Details
File: maps (53.88 KB, text/plain)
2019-05-22 15:25 UTC, Mauricio Kilikrates Alexandrino Nicolia dos Anjos
no flags Details
File: mountinfo (3.58 KB, text/plain)
2019-05-22 15:25 UTC, Mauricio Kilikrates Alexandrino Nicolia dos Anjos
no flags Details
File: open_fds (679 bytes, text/plain)
2019-05-22 15:25 UTC, Mauricio Kilikrates Alexandrino Nicolia dos Anjos
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-05-22 15:25 UTC, Mauricio Kilikrates Alexandrino Nicolia dos Anjos
no flags Details

Description Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:12 UTC
Description of problem:
Using a external HDMI display via USB-C adapter

Version-Release number of selected component:
xfce4-settings-4.13.5-4.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-display-settings
crash_function: convert_xfce_output_info
executable:     /usr/bin/xfce4-display-settings
journald_cursor: s=400bfcecc3c646d6b51bce3b61bae016;i=71efa;b=fefca2ea59504ed5852db1dc2e30a5cc;m=a66b217;t=58950cb21f7e6;x=5644cce7f4b1211e
kernel:         5.0.16-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 convert_xfce_output_info at main.c:2158
 #1 get_output_for_window at main.c:3238
 #2 select_current_output_from_dialog_position at main.c:3275
 #3 dialog_map_event_cb at main.c:3289
 #4 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:83
 #9 gtk_widget_event_internal at gtkwidget.c:7744
 #11 gtk_main_do_event at gtkmain.c:1855
 #13 _gdk_event_emit at gdkevents.c:73
 #19 gtk_main at gtkmain.c:1323
 #20 display_settings_show_main_dialog at main.c:3379

Potential duplicate: bug 1347012

Comment 1 Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:16 UTC
Created attachment 1572066 [details]
File: backtrace

Comment 2 Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:17 UTC
Created attachment 1572067 [details]
File: cgroup

Comment 3 Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:18 UTC
Created attachment 1572068 [details]
File: core_backtrace

Comment 4 Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:19 UTC
Created attachment 1572069 [details]
File: cpuinfo

Comment 5 Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:21 UTC
Created attachment 1572070 [details]
File: dso_list

Comment 6 Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:22 UTC
Created attachment 1572071 [details]
File: environ

Comment 7 Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:23 UTC
Created attachment 1572072 [details]
File: exploitable

Comment 8 Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:25 UTC
Created attachment 1572073 [details]
File: limits

Comment 9 Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:27 UTC
Created attachment 1572074 [details]
File: maps

Comment 10 Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:28 UTC
Created attachment 1572075 [details]
File: mountinfo

Comment 11 Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:29 UTC
Created attachment 1572076 [details]
File: open_fds

Comment 12 Mauricio Kilikrates Alexandrino Nicolia dos Anjos 2019-05-22 15:25:30 UTC
Created attachment 1572077 [details]
File: proc_pid_status

Comment 13 tomaaak 2019-06-06 14:12:18 UTC
Similar problem has been detected:

display manager crashes immediately after start. Happened after upgrade from F29 to F30

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-display-settings
crash_function: convert_xfce_output_info
executable:     /usr/bin/xfce4-display-settings
journald_cursor: s=b262a7c9cc524ce1bad8e887751b781a;i=8b306a;b=0fd8e2846acd407f922f4704e7f2dfe9;m=225dd1ef5e;t=58aa810c90b1d;x=fbf95f56f926e5ab
kernel:         5.0.17-300.fc30.x86_64
package:        xfce4-settings-4.13.5-4.fc30
reason:         xfce4-display-settings killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora Update System 2019-08-15 22:31:21 UTC
FEDORA-2019-8b21f399ee has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 15 Fedora Update System 2019-08-17 01:27:19 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 16 Fedora Update System 2019-08-23 01:26:57 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Ben Cotton 2020-04-30 21:17:50 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2020-05-26 16:42:51 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.